QoreSoftBinaryNoNullDataType.qc.dox.h
// -*- mode: c++; indent-tabs-mode: nil -*-
namespace DataProvider {
class QoreSoftBinaryNoNullDataType : public QoreSoftBinaryDataType {
public:
constructor(*hash<auto> options) ;
};
};
DataProvider::QoreSoftBinaryDataType
describes a data type based on softbinary with validation for parsing strings
Definition: QoreSoftBinaryDataType.qc.dox.h:31
DataProvider::QoreSoftBinaryNoNullDataType
describes a data type based on softbinary with validation for parsing strings
Definition: QoreSoftBinaryNoNullDataType.qc.dox.h:28
DataProvider::AbstractDataProviderType::options
hash< auto > options
type options
Definition: AbstractDataProviderType.qc.dox.h:103
DataProvider
Qore AbstractDataField class definition.
Definition: AbstractDataField.qc.dox.h:32
DataProvider::AbstractDataProviderType::constructor
constructor()
creates the type